Useful or not, from you.
tensorflow Error loading tensorflow

System information

  • Have I written custom code (as opposed to using a stock example script provided in TensorFlow): NO
  • OS Platform and Distribution (e.g., Linux Ubuntu 16.04): Windows 10
  • Mobile device (e.g. iPhone 8, Pixel 2, Samsung Galaxy) if the issue happens on mobile device:
  • TensorFlow installed from (source or binary): binary
  • TensorFlow version (use command below): 1.14.0
  • Python version: 3.7
  • Bazel version (if compiling from source):
  • GCC/Compiler version (if compiling from source):
  • CUDA/cuDNN version: 10.1 - 10.1
  • GPU model and memory: Nvidia Quadro K5000 - 4Gb
  • Exact command to reproduce: import tensorflow as tf

Describe the problem

Error loading Tensorflow. Does not provide a clue about which DLL is failing to initialize.

Source code / logs

import tensorflow as tf _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "C:\Program Files\Python37\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "C:\Program Files\Python37\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: Error en una rutina de inicialización de biblioteca de vínculos dinámicos (DLL). Failed to load the native TensorFlow runtime.

Calling from a program:

python style.py Traceback (most recent call last): File "C:\Users\Javier\AppData\Roaming\Python\Python37\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "C:\Users\Javier\AppData\Roaming\Python\Python37\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "C:\Users\Javier\AppData\Roaming\Python\Python37\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "C:\Program Files\Python37\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "C:\Program Files\Python37\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: Error en una rutina de inicialización de biblioteca de vínculos dinámicos (DLL). During handling of the above exception, another exception occurred: Traceback (most recent call last): File "style.py", line 9, in <module> _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "C:\Program Files\Python37\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "C:\Program Files\Python37\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: Error en una rutina de inicialización de biblioteca de vínculos dinámicos (DLL). Failed to load the native TensorFlow runtime.

That's a useful answer
Without any help

Solved here #13715